clear all
clc
close all

fname='C:\skola\pokus\data\Svobodova\'; %nastavení cesty k datum
index=1;

for (i=1:10) %1 až 10. složka 
    %%obrazky
    if(i<10)
    fname2=[fname '0' num2str(i)]; % vyber jednotlivých složek 
    else
    fname2=[fname num2str(i)]; 
    end
    A=dir(fname2); % vypíšou se jednotlivá data, co se nachází ve složce 
    
     for(j=3:length(A)) %první dvě nás nezajímají, proto od 3
        %do buňky se načtou všechny data za sebou  - obrazky i anotace
        images{index}= imresize(im2double(imread([fname2 '\' A(j).name])),1/3);
        index=index+1; 
     end
    
end
F=ones(15/3,15/3)/25; 
image = conv2(images{72},F,'same');

figure
imshow(image,[]) %72


%% ZJISTENI TLOUSKY CÉV 
% pro zjistění tloušťky cév a jasovému profilu
% imtool(image)
[x,y] = ginput(2);
line([x x],[y y]);

[z,t] = ginput(2);
line([z z], [t t]);

[e,r] = ginput(2);
line([e e], [r r]); %vybrání 3. linií - vybírá se napříč cévou, aby se
% následně ukázal jasový profil cévy

x=floor(x);
y=floor(y);

z=floor(z);
t=floor(t);

e=floor(e);
r=floor(r); %zaokrouhlení

U=improfile(image,x,y,'bilinear'); %jednotlivé jasové profily 3 linií
V=improfile(image,z,t,'bilinear');
W=improfile(image,e,r,'bilinear');


delka1=length(U);
delka2=length(V);
delka3=length(W);

nejmensi = min([delka1,delka2,delka3]);
K=[];
for i = 1 : nejmensi
   K(i)= (U(i,1)+V(i,1)+W(i,1))/3; %získání průměrné hodnoty ze 3 linií
end

figure
plot(U)
legend('1.šířka cévy')
xlabel('vzdálenost')
ylabel('intenzita')

figure
plot(V)
legend('2.šířka cévy')
xlabel('vzdálenost')
ylabel('intenzita')

figure
plot(W)
legend('3.šířka cévy')
xlabel('vzdálenost')
ylabel('intenzita')

figure
plot(K)
legend('průměr cév')
xlabel('vzdálenost')
ylabel('intenzita')
